# ======================================================================================
# USER INPUT DATA 
# ======================================================================================

# duration and initial time step
set total_time 1.0
set num_incr 2000

# begin timing
set time_start [clock milliseconds]

set time 0.0
set time_increment [expr $total_time / $num_incr.0]

for {set increment 1} {$increment<=$num_incr} {incr increment 1} {
	
	set ok [analyze 1 $time_increment]
	
	set time [expr $time+$time_increment]
	
	# print statistics
	set num_iter [testIter]
	set norms [testNorms]
	set last_norm [lindex $norms [expr $num_iter-1]]
	if {$process_id == 0} {
		puts "Increment: $increment - Iterations: $num_iter - Norm: $last_norm ( [expr $time/$total_time*100.0] % )"
	}
	
}

# end timing
set time_end [clock milliseconds]
set elapsed [expr ($time_end - $time_start)/1000.0]
puts "(Process $process_id) - Elapsed time: $elapsed sec."